Package org.kapott.hbci.sepa.jaxb.camt_052_001_01

## Class ReturnReasonInformation5

- java.lang.Object
- - org.kapott.hbci.sepa.jaxb.camt_052_001_01.ReturnReasonInformation5

    public class ReturnReasonInformation5
    extends java.lang.Object

Java class for ReturnReasonInformation5 complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="ReturnReasonInformation5">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <element name="OrgnlBkTxCd" type="{urn:iso:std:iso:20022:tech:xsd:camt.052.001.01}BankTransactionCodeStructure1" minOccurs="0"/>
             <element name="RtrOrgtr" type="{urn:iso:std:iso:20022:tech:xsd:camt.052.001.01}PartyIdentification8" minOccurs="0"/>
             <element name="RtrRsn" type="{urn:iso:std:iso:20022:tech:xsd:camt.052.001.01}ReturnReason1Choice" minOccurs="0"/>
             <element name="AddtlRtrRsnInf" type="{urn:iso:std:iso:20022:tech:xsd:camt.052.001.01}Max105Text" maxOccurs="unbounded" minOccurs="0"/>
           </sequence>
         </restriction>
       </complexContent>
     </complexType>

### Field Summary

Fields
`protected java.util.List<java.lang.String>` `addtlRtrRsnInf`
`protected BankTransactionCodeStructure1` `orgnlBkTxCd`
`protected PartyIdentification8` `rtrOrgtr`
`protected ReturnReason1Choice` `rtrRsn`

### Constructor Summary

Constructors
`ReturnReasonInformation5()`

### Method Summary

All Methods Instance Methods Concrete Methods
`java.util.List<java.lang.String>` `getAddtlRtrRsnInf()` Gets the value of the addtlRtrRsnInf property.
`BankTransactionCodeStructure1` `getOrgnlBkTxCd()` Gets the value of the orgnlBkTxCd property.
`PartyIdentification8` `getRtrOrgtr()` Gets the value of the rtrOrgtr property.
`ReturnReason1Choice` `getRtrRsn()` Gets the value of the rtrRsn property.
`void` `setOrgnlBkTxCd​(BankTransactionCodeStructure1 value)` Sets the value of the orgnlBkTxCd property.
`void` `setRtrOrgtr​(PartyIdentification8 value)` Sets the value of the rtrOrgtr property.
`void` `setRtrRsn​(ReturnReason1Choice value)` Sets the value of the rtrRsn property.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### orgnlBkTxCd

    protected BankTransactionCodeStructure1 orgnlBkTxCd

#### rtrOrgtr

    protected PartyIdentification8 rtrOrgtr

#### rtrRsn

    protected ReturnReason1Choice rtrRsn

#### addtlRtrRsnInf

    protected java.util.List<java.lang.String> addtlRtrRsnInf

### Constructor Detail

#### ReturnReasonInformation5

    public ReturnReasonInformation5()

### Method Detail

#### getOrgnlBkTxCd

    public BankTransactionCodeStructure1 getOrgnlBkTxCd()

Gets the value of the orgnlBkTxCd property.

Returns:
  possible object is `BankTransactionCodeStructure1`

#### setOrgnlBkTxCd

    public void setOrgnlBkTxCd​(BankTransactionCodeStructure1 value)

Sets the value of the orgnlBkTxCd property.

Parameters:
  `value` - allowed object is `BankTransactionCodeStructure1`

#### getRtrOrgtr

    public PartyIdentification8 getRtrOrgtr()

Gets the value of the rtrOrgtr property.

Returns:
  possible object is `PartyIdentification8`

#### setRtrOrgtr

    public void setRtrOrgtr​(PartyIdentification8 value)

Sets the value of the rtrOrgtr property.

Parameters:
  `value` - allowed object is `PartyIdentification8`

#### getRtrRsn

    public ReturnReason1Choice getRtrRsn()

Gets the value of the rtrRsn property.

Returns:
  possible object is `ReturnReason1Choice`

#### setRtrRsn

    public void setRtrRsn​(ReturnReason1Choice value)

Sets the value of the rtrRsn property.

Parameters:
  `value` - allowed object is `ReturnReason1Choice`

#### getAddtlRtrRsnInf

    public java.util.List<java.lang.String> getAddtlRtrRsnInf()

Gets the value of the addtlRtrRsnInf property.

This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the addtlRtrRsnInf property.

For example, to add a new item, do as follows:

        getAddtlRtrRsnInf().add(newItem);

Objects of the following type(s) are allowed in the list `String`